[RTL][Contacts]The x button should be right-aligned in facebook login page.

RESOLVED INVALID

Status

Firefox OS
Gaia::Contacts
RESOLVED INVALID
3 years ago
3 years ago

People

(Reporter: Elie, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
[1.Description]:
[RTL][v2.2&3.0][Contacts]Enter login facebook page from Contacts,the x button should be right-aligned in facebook login page.

Attchment:2015-04-02-01-58-33.png

[2.Testing Steps]: 
1.Launch Contacts
2.Tap settings icon
3.Tap Facebook to enter facebook login page


[3.Expected Result]: 
3.The x button should be right-aligned in facebook login page.

[4.Actual Result]: 
3.The x button should is left-aligned in facebook login page.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150331002503
Gaia Revision          cc11248ab69f13e89416c8e6bb2e184187e72088
Gaia Date              2015-03-30 22:22:58
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/90a26917ee8f
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150331.034811
Firmware Date          Tue Mar 31 03:48:21 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0  affected
Build ID               20150331160205
Gaia Revision          03164bd160809747e6a198e0dba1b7c3ee7789f5
Gaia Date              2015-03-31 14:48:14
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/18a8ea7c2c62
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test

[8.Note]:
Enter login Gmail page from Contacts ,there are the same issue.
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtil-impact]
(Reporter)

Comment 1

3 years ago
Created attachment 8586688 [details]
2015-04-02-01-58-33.png
(Reporter)

Updated

3 years ago
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Inconsistency with system wide RTL behavior.
P2, nominating
blocking-b2g: --- → 2.2?
Priority: -- → P2
Going back on what I said. As per UX specs, header Cancel button should remain left aligned. Will investigate this now, but I think this bug may be invalid
blocking-b2g: 2.2? → ---
Priority: P2 → --
Elie: to me this is consistent with UX specs (see p. 12, (A)).
Closing bug, please reopen if needed.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.